function prob=betai_s(a,b,x)
%use nrtype; use nrutil, only : assert
%use nr, only : betacf,gammln
if (x == 0.0 || x == 1.0)
    bt=0.0;
else         %factors in front of the continued fraction
    bt=btc(a,b,x);
end
if (x < (a+1.0d0)/(a+b+2.0d0))   %use continued fraction directly.
    prob=bt*betacf_sc(a,b,x)/a;
else                                       %use continued fraction after making the
    prob=1.0d0-bt*betacf_sc(b,a,1.0d0-x)/b; %symmetry transformation.
end



